> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List messages in a conversation

> Get a paginated list of messages sorted chronologically most recent first.



## OpenAPI

````yaml api-reference/community-openapi.json GET /conversations/facebook/{conversation_id}/messages
openapi: 3.0.2
info:
  contact:
    email: support@dashsocial.com
    name: Dash Social
    url: https://dashsocial.com
  description: Manage community interactions in the Dash Social platform.
  license:
    name: Commercial
    url: https://dashsocial.com/terms
  title: Community API
  version: 1.0.0
  x-logo:
    altText: Dash Social logo
    href: https://developer.dashsocial.com
    url: https://developer.dashsocial.com/assets/logo.svg
servers:
  - url: https://community.dashsocial.com
security:
  - BearerAuth: []
tags:
  - description: Endpoints responsible for comment sentiment.
    name: Comment Sentiment
  - description: Endpoints responsible for community interaction tags.
    name: Community Interaction Tags
  - description: Endpoints responsible for community interactions.
    name: Community Interactions
  - description: Endpoints responsible for community overview.
    name: Community Overview
  - description: Endpoints responsible for community post operations
    name: Community Posts
  - description: Endpoints responsible for managing Facebook comments.
    name: Facebook Comments
  - description: Endpoints responsible for managing Facebook messages.
    name: Facebook Messages
  - description: Endpoints responsible for managing Instagram comments.
    name: Instagram Comments
  - description: Endpoints responsible for Instagram messages.
    name: Instagram Messages
  - description: Endpoints responsible for community interaction automation rules.
    name: Interaction Rules
  - description: Endpoints responsible for managing preset replies.
    name: Preset replies
  - description: Endpoints responsible for managing TikTok comments.
    name: TikTok Comments
  - description: Endpoints responsible for managing Twitter messages.
    name: Twitter Messages
  - description: Endpoints responsible for managing Twitter tweets.
    name: Twitter Tweets
  - description: Endpoints responsible for managing YouTube Comments
    name: YouTube Comments
paths:
  /conversations/facebook/{conversation_id}/messages:
    parameters:
      - description: The ID of the conversation to post a message to
        in: path
        name: conversation_id
        required: true
        schema:
          minimum: 0
          type: integer
    get:
      tags:
        - Facebook Messages
      summary: List messages in a conversation
      description: >-
        Get a paginated list of messages sorted chronologically most recent
        first.
      parameters:
        - description: Number of results to return in a single response.
          in: query
          name: limit
          required: false
          schema:
            default: 100
            type: integer
        - description: The offset of the first result to be returned.
          in: query
          name: offset
          required: false
          schema:
            default: 0
            type: integer
        - description: Sort of the messages.
          in: query
          name: sort
          required: false
          schema:
            enum:
              - '-CREATED_AT'
              - CREATED_AT
            type: string
        - description: Fetch messages that have text
          in: query
          name: must_include_text
          required: false
          schema:
            type: boolean
        - description: Fetch messages on or after this date.
          in: query
          name: created_on_or_after
          required: false
          schema:
            format: date-time
            type: string
        - description: Fetch messages on or before this date.
          in: query
          name: created_on_or_before
          required: false
          schema:
            format: date-time
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FacebookMessagesData'
          description: OK
        '422':
          $ref: '#/components/responses/UNPROCESSABLE_ENTITY'
        default:
          $ref: '#/components/responses/DEFAULT_ERROR'
components:
  schemas:
    FacebookMessagesData:
      properties:
        data:
          description: A list of messages.
          items:
            $ref: '#/components/schemas/FacebookMessage'
          readOnly: true
          type: array
        paging:
          allOf:
            - $ref: '#/components/schemas/PagingData'
          description: Pagination data
          readOnly: true
      type: object
    FacebookMessage:
      properties:
        text:
          description: The text content of the message.
          type: string
        attachments:
          description: A list of attachments.
          items:
            $ref: '#/components/schemas/Attachment'
          readOnly: true
          type: array
        brand_user_reply:
          allOf:
            - $ref: '#/components/schemas/BrandUserReply'
          description: Brand user that created the reply.
          nullable: true
          readOnly: true
        conversation_id:
          description: The ID of the conversation to which the message belongs.
          readOnly: true
          type: integer
        created_at:
          description: When the message was created.
          format: date-time
          readOnly: true
          type: string
        facebook_created_at:
          description: The creation timestamp provided by Facebook.
          format: date-time
          readOnly: true
          type: string
        facebook_message_id:
          description: The message ID provided by Facebook.
          readOnly: true
          type: string
        facebook_seen_at:
          description: The time a message was seen provided by Facebook.
          format: date-time
          readOnly: true
          type: string
        from_participant_id:
          description: The participant ID of the sender.
          readOnly: true
          type: integer
        id:
          description: The message ID. Cannot be set or modified by the user.
          readOnly: true
          type: integer
        is_dh_unsupported:
          description: >-
            Indicates if the message type is currently unsupported by Dash
            Social.
          readOnly: true
          type: boolean
        send_failed:
          description: Indicates if the message failed to send from Dash Social.
          readOnly: true
          type: boolean
        to_participant_id:
          description: The participant ID of the recipient.
          readOnly: true
          type: integer
        type:
          description: Community interaction type
          readOnly: true
          type: string
        updated_at:
          description: When the message was last updated.
          format: date-time
          readOnly: true
          type: string
        uuid:
          description: >-
            Unique ID that can be provided by the user on message creation.
            Enables clients to supply their own ID for optimistically created
            messages.
          format: uuid
          type: string
      required:
        - text
      type: object
    PagingData:
      properties:
        count:
          description: Number of records in the current page.
          type: integer
        next:
          description: URL to the next page of data.
          format: url
          type: string
        previous:
          description: URL to the previous page of data.
          format: url
          type: string
      type: object
    Error:
      properties:
        code:
          description: Error code
          type: integer
        errors:
          description: Errors
          type: object
        message:
          description: Error message
          type: string
        status:
          description: Error name
          type: string
      type: object
    Attachment:
      properties:
        height:
          description: The height of the media.
          readOnly: true
          type: integer
        src:
          description: The URL of the attachment.
          readOnly: true
          type: string
        type:
          description: The media type of the attachment.
          readOnly: true
          type: string
        width:
          description: The width of the media.
          readOnly: true
          type: integer
      type: object
    BrandUserReply:
      properties:
        brand_id:
          description: The brand ID of the brand user reply.
          type: integer
        created_at:
          description: When the brand user reply was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: The brand user reply's ID.
          readOnly: true
          type: integer
        resource_id:
          description: The resource ID of the brand reply.
          type: integer
        resource_type:
          description: The resource type of the brand reply.
          enum:
            - FACEBOOK_COMMENT
            - FACEBOOK_MESSAGE
            - INSTAGRAM_COMMENT
            - INSTAGRAM_MESSAGE
            - TIKTOK_COMMENT
            - TWITTER_MENTION
            - TWITTER_MESSAGE
            - TWITTER_QUOTE
            - TWITTER_RETWEET
            - YOUTUBE_COMMENT
          type: string
        updated_at:
          description: When the brand user reply was last updated.
          format: date-time
          readOnly: true
          type: string
        user_id:
          description: The user ID of the brand user that made the reply.
          type: integer
      type: object
  responses:
    UNPROCESSABLE_ENTITY:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Unprocessable Entity
    DEFAULT_ERROR:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Default error response
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key from Dash Social developer settings

````